# $Revision: 1.22 $, $Date: 2010/07/08 08:43:01 $
%define 	module	TwistedWeb
%define		major	9.0
%define		minor	0

Summary:	Web library for Twisted
Summary(pl.UTF-8):	Biblioteka Web dla Twisted
Name:		python-%{module}
Version:	%{major}.%{minor}
Release:	2
License:	MIT
Group:		Libraries/Python
Source0:	http://tmrc.mit.edu/mirror/twisted/Web/%{major}/%{module}-%{version}.tar.bz2
# Source0-md5:	40b1a2f158b615b2fcfe288c341beac7
URL:		http://twistedmatrix.com/trac/wiki/TwistedWeb
BuildRequires:	ZopeInterface
BuildRequires:	python-TwistedCore >= 10.0.0
BuildRequires:	python-devel >= 1:2.5
BuildRequires:	rpm-pythonprov
Requires:	python-TwistedCore >= 10.0.0
Obsoletes:	python-Twisted-web
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Twisted Web is a web application server written in pure Python, with
APIs at multiple levels of abstraction to facilitate different kinds
of web programming.

%description -l pl.UTF-8
Twisted Web to serwer aplikacji WWW napisany w czystym Pythonie z API
o wielu poziomach abstrakcji, mających ułatwić różne rodzaje
programowania WWW.

%package doc
Summary:	Documentation for TwistedWeb
Summary(pl.UTF-8):	Dokumentacja do TwistedWeb
Group:		Libraries/Python
Requires:	%{name} = %{version}-%{release}

%description doc
Offline documentation for TwistedWeb.

%description doc -l pl.UTF-8
Dokumentacja offline do TwistedWeb.

%package examples
Summary:	Example programs for TwistedWeb
Summary(pl.UTF-8):	Programy przykładowe do TwistedWeb
Group:		Libraries/Python
Requires:	%{name} = %{version}-%{release}

%description examples
This package contains example programs for TwistedWeb.

%description examples -l pl.UTF-8
Ten pakiet zawiera przykładowe programy dla TwistedWeb.

%prep
%setup -q -n %{module}-%{version}

%build
CFLAGS="%{rpmcflags}"
export CFLAGS
python setup.py build_ext

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_mandir}/man1,%{_examplesdir}/%{name}-%{version}}

python setup.py install \
	--install-purelib=%{py_sitedir} \
	--root=$RPM_BUILD_ROOT \
	--optimize=2

%py_postclean

cp -a doc/examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc LICENSE NEWS README
%{py_sitedir}/*.egg-info
%{py_sitedir}/twisted/web
%{py_sitedir}/twisted/plugins/*

%files doc
%defattr(644,root,root,755)
%doc doc/howto doc/img

%files examples
%defattr(644,root,root,755)
%{_examplesdir}/%{name}-%{version}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-TwistedWeb.spec,v $
Revision 1.22  2010/07/08 08:43:01  arekm
- release 2

Revision 1.21  2010/03/09 12:51:42  patrys
- 9.0.0

Revision 1.20  2009/03/13 16:41:11  hawk
- release 2

Revision 1.19  2008/11/21 22:29:16  charles
- BR: python 2.5 (for .egg-info), rpm-pythonprov

Revision 1.18  2008/10/05 08:50:18  wiget
- updated to 8.1.0

Revision 1.17  2008/10/03 18:02:42  arekm
- release 3

Revision 1.16  2008/09/01 15:02:55  blues
- rel.2

Revision 1.15  2008-05-02 18:50:07  luzik
- updated to 8.0.0

Revision 1.14  2007/02/13 08:06:42  glen
- tabs in preamble

Revision 1.13  2007/02/12 01:06:28  baggins
- converted to UTF-8

Revision 1.12  2007/02/01 21:42:15  patrys
- 0.7.0

Revision 1.11  2006/09/26 22:49:33  wrobell
- rel. 0.3 to rebuild with python 2.5 (final)

Revision 1.10  2006/09/02 20:34:47  glen
- cp -a implies cp -r

Revision 1.9  2006/08/28 12:27:08  arekm
- rel 0.2

Revision 1.8  2006/06/07 20:02:43  wiget
- updated 0.6.0
- added doc and example subpackages

Revision 1.7  2006/06/03 23:38:18  qboosh
- Obsoletes: python-Twisted-web

Revision 1.6  2005/11/05 15:40:52  undefine
- BR: python-Twisted

Revision 1.5  2005/06/16 21:41:20  speedy
- BR: ZopeInteface

Revision 1.4  2005/06/12 09:23:57  qboosh
- pl desc

Revision 1.3  2005/06/10 12:32:47  speedy
- ugly hack...

Revision 1.2  2005/06/10 11:39:48  speedy
- fixed %%changelog

Revision 1.1  2005/06/10 11:37:01  speedy
- initial
